#ifndef GENERATEWORD_H
#define GENERATEWORD_H

#include <QObject>
#include <QVariant>
#include "qword.h"

class GenerateWord : public QObject
{
    Q_OBJECT
public:
    explicit GenerateWord(QObject *parent = nullptr);

private:
    void breatheValveRecordWrite(QWord &word,QString testType, QVariant &obj);
signals:
    void sendWordReportProgress(QString text);
public slots:
   // void receiveMsg(QString savePath,QString valve,QString manufacture,QString type,QString serialNumber,QString user,QString carplate,QList<QPointF> points);
    void receiveMsg(QString savePath, QString valve, QString manufacture, QString type, QString serialNumber, QString user, QString carplate, QString state, QString setPressure, QList<QPointF> points0,
                    QList<QPointF> points1, QList<QPointF> points2, QList<QPointF> points3, QList<QPointF> points4, QList<QPointF> points5);


    void receiveGenerateWord(QString savePath, QVariant obj);
    void receiveGenerateBreatheValveWord(QString savePath,QVariant para,QVariant obj1,QVariant obj2,QVariant obj3);
};

#endif // GENERATEWORD_H
